<?
	
	$rootpath = '../';
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
		if($level==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{

	switch ($act) {
	default:
echo "<title>Информация</title>"; 
echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
echo '<div class="blok3"><font style="font-family:Monotype Corsiva;"><h2>Информация</h2></font></div><div class="razd"></div>';
echo '<div class="blok1">';
echo '<img src="../images/icon/menu.png" alt="" /> <a href="news.php"><b>Новости игры</b></a>';
if(news()>0)echo ' [+'.news().']';
echo '</div><div class="razd"></div>';
echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="users.php"><b>Игроки</b></a></div><div class="razd"></div>';
echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="planets.php"><b>Планеты</b></a></div><div class="razd"></div>';	
echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="?act=smiles"><b>Смайлы</b></a></div>';
break;
case 'smiles':
	echo "<title>Смайлы</title>";echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><a href="info.php"><b>Информация</b></a> | <font color="#4EEE94"><b>Смайлы</b></font></div>';
	echo '<div class="razd"></div>';
	$start=check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_GET['page'])))))));
	if($start<0 OR $start>=110)header("Location: info.php?act=smiles&page=0&");
	if($start=='' OR $start==1)$start=0;
	$end=$start+10;
	
        $array = array();
        $dir = opendir('../smile');
        while ($file = readdir($dir)) {
            if (($file != '.') && ($file != "..") && ($file != "index.php")) {
                $array[] = $file;
            }
        }
        closedir($dir);
        $total = count($array);
        if ($total > 0) {
            for ($i = $start; $i < $end; $i++) {
                $smile = preg_replace('#^(.*?).(gif|jpg|png)$#isU', '$1', $array[$i], 1);
                echo '<center><div class="window1">';
                echo '<div class="dashed"></div>';
                echo '<img src="../smile/' . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($array[$i]))))))) . '" alt="" /> - :' . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($smile))))))) .'';
            echo '<div class="dashed"></div>';
            echo '</div></center>';

            }
        echo '<div class="razd"></div>';
		echo '<div class="blok">';
		if($start-10>=0)echo '<a href="?act=smiles&amp;page='.($start-10).'"><b><---</b></a> | ';
		if($end+10<110)echo '<a href="?act=smiles&amp;page='.($start+10).'"><b>---></b></a>';
		echo '</div>';
	}


	break;
	case 'adm':
	echo "<title>Администрация</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><a href="info.php"><b>Информация</b></a> | <font color="#4EEE94"><b>Администрация</b></font></div>';
	echo '<div class="razd"></div>';
	$PAGINGS = mysql_query("SELECT * FROM `users` WHERE `level`  >= 5   AND `id` ORDER BY `level` DESC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{

	echo '<center><div class="window1">';
	echo '<div class="dashed"></div>';		
	echo ''.rasa($row['rasa']).' <a href="anketa.php?id='.$row['id'].'"><span class="'.crasa($row['rasa']).'">'.$row['name_user'].'</span></a> ';
	if($row['lasttime'] > time()-$online_time)echo '[<span class="green">онлайн</span>]';
	if($row['lasttime'] <= time()-$online_time)echo '['.dates($row['lasttime']).']';
	echo '<br/>'.adm($row['level']).'';
	echo '<div class="dashed"></div>';
	echo '</div></center>';
	}

	}
	break;
	case 'loc':
	echo '<div class="top"><a href="info.php">Информация</a> | Локации</div>';
	echo '<div class="top">На планете</div>';

	echo '<div class="conts"><img src="../images/loc/k1.jpg" alt="image" /> <img src="../images/loc/k2.jpg" alt="image" /> <img src="../images/loc/k3.jpg" alt="image" /> - Командный центр, Нексус, Инкубатор. Главная локация планеты на которой находятся все постройки</div>';
	echo '<div class="conts"><img src="../images/loc/min.jpg" alt="image" /> - Поле минералов. На нем можно вести добычу <img src="../images/min.gif" alt="" /> Минералов</div>';
	echo '<div class="conts"><img src="../images/loc/geyser.jpg" alt="image" /> - Гейзер Веспен. На нем можно проводить добычу <img src="../images/gas.gif" alt="" /> Газа веспен</div>';
	echo '<div class="conts"><img src="../images/loc/mount.jpg" alt="image" /> - Горы. На них можно проводить добычу <img src="../images/metall.gif" alt="" /> Металла</div>';
	echo '<div class="conts"><img src="../images/loc/water.jpg" alt="image" /> - Озеро. На нем можно проводить добычу <img src="../images/water.png" alt="" /> Воды</div>';
	echo '<div class="conts"><img src="../images/loc/ravn.jpg" alt="image" /> - Равнина. На ней можно проводить добычу <img src="../images/kred.png" alt="" /> Кредитов</div>';
	echo '<div class="conts"><img src="../images/loc/forest.jpg" alt="image" /> - Лес. В нем можно проводить добычу <img src="../images/prov.png" alt="" /> Провизии</div>';
	echo '<div class="top">В космическом пространстве</div>';
	echo '<div class="conts"><img src="../images/space/sun.jpg" alt="" /> - Звезда планетной системы</div>';
	echo '<div class="conts"><img src="../images/space/space1.jpg" alt="image" /> <img src="../images/space/space2.jpg" alt="image" /> <img src="../images/space/space3.jpg" alt="image" /> - Межпланетное пространство</div>';
	echo '<div class="conts"><img src="../images/planet/1.jpg" alt="" /> <img src="../images/planet/2.jpg" alt="" /> <img src="../images/planet/3.jpg" alt="" /> - Планеты игроков</div>';
	echo '<div class="conts"><img src="../images/space/l1.jpg" alt="" /> <img src="../images/space/l2.jpg" alt="" /> <img src="../images/space/l3.jpg" alt="" /> <img src="../images/space/l4.jpg" alt="" /> - Метеориты и кометы. Их можно сбивать при подлете к вашим планетам и получать с них обломки</div>';
	echo '<div class="conts"><img src="../images/space/moon1.jpg" alt="" /> <img src="../images/space/moon2.jpg" alt="" /> <img src="../images/space/moon3.jpg" alt="" /> <img src="../images/space/moon4.jpg" alt="" /> <img src="../images/space/moon5.jpg" alt="" /> - Луна ближайшей планеты</div>';
	echo '<div class="conts"><img src="../images/space/teleport.jpg" alt="" /> - Портал, через который можно перемещать отряды</div>';
	echo '<div class="conts"><img src="../images/space/t1.jpg" alt="" /> <img src="../images/space/t2.jpg" alt="" /> <img src="../images/space/t3.jpg" alt="" /> - Отряды Терранов, Протоссов и Зергов</div>';
	echo '<div class="conts"><img src="../images/space/zellnaga.jpg" alt="" /> - Древний корабль рассы Зелл-Нага. На нем можно найти артефакт</div>';


	break;
	case 'res':
	echo '<div class="top"><a href="info.php">Информация</a> | Добыча ресурсов</div>';
	echo '<div class="conts">';
	echo 'Добыча ресурсов происходит каждые 10 минут. Для добычи необходимо выбрать планету, нажать на изображение локации и добавить на нее КСМ (терраны), зондов (протоссы), трутней (зерги).
	Количество добываемых ресурсов зависит от количества рабочих (максимум 100 на локации) и проведения исследований. Например если у игрока Добыча провизии 1 уровня, то с 1 ед. ресурса извлекаемого с локации игрок получает 0.2 провизии, если 5 уровня то 1 провизии';
	echo '</div>';
	break;
	
	case 'otr':
	echo '<div class="top"><a href="info.php">Информация</a> | Отряды</div>';
	echo '<div class="conts">';
	echo 'Отряд можно создать в разделе Флот, выбрав при этом планету которая будет отвечать за него и на поверхности которой он появится. Время перемещения по планете составляет 5 минут если планета ваша, 10 минут если чужая. 
	Время поднятия на орбиту и высадки на планету составляет 5 минут, перемещения в космическом пространстве 3 минуты. Для того чтобы поднять отряд на орбиту нужно добавить в него войска. Если в отряде есть наземные войска для его поднятия и перемещения нужен транспорт. У Терранов это Мэдеваки, у Протоссов Призмы искривления, у Зергов владыки.
	На карте сектора отряды отображаются следующим образом:</div>
	<div class="conts"><img src="../images/space/t1.jpg" alt="" /> <img src="../images/space/t2.jpg" alt="" /> <img src="../images/space/t3.jpg" alt="" /> - свой отряд</div>
	<div class="conts"><img src="../images/space/tf1.jpg" alt="" /> <img src="../images/space/tf2.jpg" alt="" /> <img src="../images/space/tf3.jpg" alt="" /> - отряд союзника по фракции</div>
	<div class="conts"><img src="../images/space/tw1.jpg" alt="" /> <img src="../images/space/tw2.jpg" alt="" /> <img src="../images/space/tw3.jpg" alt="" /> - вражеский отряд</div>';
	break;
	case 'war':
	echo '<div class="top"><a href="info.php">Информация</a> | Войны и сражения</div>';
	echo '<div class="conts">';
	echo 'Для того чтобы <b>начать войну</b> вам нужно разведать одну из соседних планет. Нужно переместить отряд на локацию с планетой, а затем выбрать ее в Разведанных планетах и объявить ей войну.
	После объявления войны спустите отряд на поверхность планеты и начинайте <b>захватывать на ней локации</b> для того чтобы уменьшить добычу ресурсов противнику. Можно захватывать только те локации которые пренадлежат врагу, которые не захватили ваши союзники по фракции и на которых нет вражеских отрядов. <b>Сражения</b> можно проводить только с отрядами которые не состоят с вами в одной фракции.
	Чтобы атаковать отряд противника нужно зайти в управление отрядом, нажать на изображение локации и выбрать его для атаки. Если ваш отряд выиграл сражение то отряд противника перемещается на одну локацию ближе к локации x:7 y:7, а если проиграл то ваш отряд перемещается к ней.
	Для того чтобы <b>захватить или уничтожить планету</b> противника должно пройти не менее 12 часов с момента объявления войны, а так же вы должны оккупировать центральную локацию x:4 y:4 его планеты.';
	echo '</div>';
	break;
	case 'exp':
	echo '<div class="top"><a href="info.php">Информация</a> | Экспедиции и артефакты</div>';
	echo '<div class="conts">';
	echo 'С вероятностью в 20% раз в сутки в 12:00 по игровому времени вблизи одной из ваших планет может появится древний корабль Зелл-Нага. Если за 4 часа после появления его не разведать он автоматически исчезает.
	Для поиска артефакта вам нужно отрядом переместится на локацию с кораблем и разведать его через Станцию наблюдения/Контактную башню/Споровик. Чем выше уровень разведки в разведывательной постройке тем больше шанс найти артефакт.
	Например при разведке 25% шанс найти артефакт составляет не более 20%, при разведке 100% шанс увеличивается до 75%. Найденные артефакты нужно исследовать с помощью КСМ/Зондов/Трутней и активировать его в разведе Экспедиции->Артефакты. Чем больше рабочих исследуют артефакт тем короче время этого процесса.
	Артефакты есть 3 уровней. Чем выше уровень тем больше пользы от артефакта. Шанс найти артефакт 1 уровня - 70%, 2 уровня - 20%, 3 уровня - 10%
	';
	echo '</div>';
	break;
	case 'st1':
	echo '<div class="top"><a href="info.php">Информация</a> | Статья по развитию</div>';
	echo '<div class="cont">Развитие от MAER_ua</div>';
	echo '<div class="conts">';
	echo 'Мой метод развития в начале игры. В первую очередь, после создания планеты, создаем Героя и повышаем его до 2 уровня. В дальнейшем нужно постоянно повышать его уровень (3,4,5...85 макс.)
	потому что именно от героя зависит развитие и сила ваших колоний. Не поленитесь почитать в Информации инфу о герое своей рассы. После того как герой достиг 2 уровня заходим в добычу ресурсов на главной странице
	и отправляем рабочих на добычу главного ресурса для вашей рассы (минералы у зергов, металлы у терранов, газ Веспен у протоссов).
	Дальше с главной страницы заходим в меню Флота и создаем три отряда. Один отряд оставляем на планете для защиты от возможного нападения, в остальные мобилизируем войска.
	Поднимаем два последних на орбиту и ждем пока они отдыхнут. Не забываем качать ур. героя и смотреть в текущих работах когда закончится повышение чтобы наперед знать когда опять ставить на повышение.
	Дальше возвращаемся к отрядам и отправляем их к ближайшим планетам (поискать их можно на карте сектора прежде чем отправить). Можно отправить отряды автопилотом, но нужно их отправлять на одну локацию дальше планеты так как они разведываются только при ручном передвижении.
	Когда герой улучшится до того уровня когда можно будет строить новые постройки снимаем с добычи 30 рабочих и строим их. Как только будет доступно улучшение исследования добычи ресурса которого вы добываете сразу начинаем его улучшать.
	Почему я говорю только одного ресурса? Потому что в таком случае мы экономим на улучшении исследований. Для того чтобы было достаточно всех ресурсов которые вам нужны выставляете свой добываемый ресурс на продажу в торговых отношениях и на полученные кредиты покупаем недостающие ресурсы. 
	Выполняем задания, захватываем новые планеты. С каждым уровнем героя +10 вы можете захватить +1 планету. Дальше вы уже сами все поймете :) А если не поймете то спросите в брифинге.';
	echo '</div>';
	break;
	
		case 'st2':
	echo '<div class="top"><a href="info.php">Информация</a> | Статья по развитию</div>';
	echo '<div class="cont">Развитие от Кошмара</div>';
	echo '<div class="conts">';
	echo 'Начало игры: сначала нужно нанять героя (ссылка Герой на главной странице). Нанял? Прекрасно. Затем начинаем повышать уровень героя. 1000 кредитов у терранов и протоссов, 1000 провизии у зергов.
	У вас есть целых 10 минут на совершение следующих действий. Заходим в раздел добычи ресурсов, где можно добывать 6 видов ресурсов: минералы, металлы, газ Веспен, вода, кредиты и провизия.
	У каждой рассы есть доминирующий ресурс которого нужно больше для построек, обучения юнитов и рабочих. У терранов это металлы, у протоссов - газ Веспен, у зергов - минералы.
	Отправляем 400 рабочих на добычу доминирующего ресурса, остальных 100 распределяем на остальные ресурсные площадки по вашему усмотрению. Дальше с главной страницы переходим в раздел Флот.
	На каждой вашей планете можно создать максимум 4 отряда. В один из отрядов нужно добавить транспорт (Мэдеваки, Призмы искривления, Владыки) и 5 наземных юнитов (Морпехи, Зилоты, Зерглинги).
	Ваш отряд готов. Нажимаем ссылку Поднятся на орбиту. Пока ваш отряд отдыхает после взлета возвращаемся на главную. Ваш герой как раз повысился до 2 уровня. Выполнилось задание №2.
	Несколько слов о заданиях: выполнив его вы получаете несколько SC. В будущем они понадоблятся, например, для переименования захваченной планеты, силового поля и т.д. (подробнее на ссылке SC на главной странице).
	Вы не забыли отправить вашего героя на повышение уровня? Вижу что не забыли). Вернемся к нашему отряду который уже в космосе. Нужно разведать ближайшую планету. Что и задание такое есть? Ну тогда в путь.
	Есть два варианта как добраться до соседней планеты: вручную и через автополет. Вы пока новичек и вам пока очень трудно разобраться в карте космоса, так что лучше пока лететь вручную.
	Каждые 3 минуты нажимая на стрелки в меню отряда передвигаем его к ближайшей планете. Пролетаем 4 локации. Стоп. Вы ничего не забыли? Герой то уже поднялся до 3 уровня. Начинаем повышение до 4 и вернемся к нашему отряду.
	Еще 2-3 хода и долетели. Соседняя планета обнаружена. Вернемся на главную страницу и начнем ее исследовать. Ссылка Доклады (+4). Так, герой поднялся до уровня 2,3,4.
	Но почему +4? Общее +3, ну это понятно. Население. Обучение. Торговые отношения (что это?) Войны и разведка +1. Вы обнаружили планету. Да, доклады нужная вещь. Исследуем главную страницу дальше. Ваши планеты. Так. Название планеты, Координаты, Население,
	Карта, Построить. Жмем на построить. Доступна только одна постройка (Хранилище, Пилон, Гнездо). Раз доступно значит нужно его строить. Отправляем 30 рабочих. Вернемся на главную. Ваши планеты это понятно. Разведанные планеты тоже ясно.
	Юниты (там описание юнитов вашей рассы и возможность поднимать их ранг с 10 ур.героя). Флот. Сражения (тут будут рапортыо боевых действиях ваших отрядов). Доклады.
	Экспедиции (для поиска артефактов с 17 ур.героя). Карта сектора (тут можно найти расположение любого космического обьекта: планеты, кометы, метеорита, луны, звезды, отряда).
	Торговые отношения (тут можно продать лишние ресурсы и купить недостающие). Текущие работы (там указывается любое действие которое происходит в ваших колониях).
	С каждым новым уровнем героя будут открываться новые постройки. Полезно будет зайти в Информацию и изучить Описание героя вашей рассы. Герой 5, 6 уровня и появились новые постройки.
	В Инженерном комплексе, Кибернетическом ядре, Эволюционной камере нужно проводить исследования. Для чего это нужно? чтобы больше добывать ресурсов. Например при Добыче воды 1 ур. 100 рабочих добывают 30 ед., при 10 ур. 300 ед. воды. Круто, правда?
	Ну вот так и изучаем остальные исследования) Герой 7,8,9 ур. - открываются все новые и новые исследования. И так, герой 10 уровня. Новая постройка. Начинаем поднимать ранг морпехов, зилотов, зерглингов до 2,3,4,5. Хватит пока что. 
	Герой 11 уровня. Поднимаем ранг призраков, сталкеров, королев. До отключения Силового поля осталось совсем немного времени. Обучаем 10 призраков, королев, сталкеров, добавляем в один из отрядов 20 транспотра, 100 морпехов, зилотов, зерглингов. И на взлет? Не спеши. Ты добавил юнитов в отряд, но они не знают кого атаковать.
	Выбираем в меню отряда морпехов, зилотов, зерглингов и выбираем атаку по легким наземным войскам. Далее призрак, сталкер, королева. Легких наземных бьют другие, тяжелых наземных вроде как еще нет, значит выбираем воздушных. Далее нажимаем на транспорт. Какая досада - транспорт не может никого атаковать.
	Вроде уже все. Отряд готов. Взлетаем и летим на ближайшую планету. Опять вручную? можно ведь проще) Заходим в автополет -> новое задание -> вводим координаты. Если забыли куда лететь смотрим в Разведанные планеты.
	Вводим координаты и отправляем туда отряд. Высаживаемся на его поверхность, заходим в разведанные планеты, выбираем планету и жмем Обьявить войну. На главной странице появилась ссылка Текущие войны
	где можно отслеживать на какой локации находятся вражеские отряды и в случае если удастся захватить локацию х:4 у:4 после 12 часов с обьявления войны появится возможность захватить или уничтожить планету.
	В заключении напишу добрый совет: пока на основной планете герой не будет 20 уровня и научные исследования 7 уровня то лучше уничтожать планеты с которыми воюешь так как нужно много ресурсов. 
	Когда инфраструктура на основной планете будет налажена можно уже задуматься о захвате еще одной планеты. Удачной игры!';
	echo '</div>';
		}
	}	
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>